CVE-2023-7104

CVSS 3.1 Score 7.3 of 10 (high)

Details

Published Dec 29, 2023
Updated: Mar 21, 2024
CWE ID 119
CWE ID 122

Summary

CVE-2023-7104 is a critical vulnerability found in SQLite SQLite3 up to version 3.43.0. The vulnerability resides in the sessionReadRecord function of the sqlite3session.c file, impacting the make alltest Handler component. The issue leads to a heap-based buffer overflow, potentially allowing an attacker to execute arbitrary code or crash the system. To address this vulnerability, it is recommended to apply the available patch. The vulnerability has a base severity rating of HIGH and a base score of 7.3 according to NVD@NIST, indicating its potential danger to organizations if left unpatched.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-7104 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options